## shmsrc shmsrc — Receive data from the shared memory sink |

## Properties

gboolean | is-live | Read / Write
gchar * | socket-path | Read / Write

## Types and Values

struct | GstShmSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstShmSrc

## Description

## Synopsis

### Element Information

plugin | shm
author | Olivier Crete <olivier.crete@collabora.co.uk>
class | Source

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstShmSrc

    struct GstShmSrc;

## Property Details

### The `“is-live”` property

      “is-live”                  gboolean

True if the element cannot produce data in PAUSED.

Flags: Read / Write

Default value: FALSE

### The `“socket-path”` property

      “socket-path”              gchar *

The path to the control socket used to control the shared memory transport.

Flags: Read / Write

Default value: NULL